a {
  color: #00B7FF;
}

body {
  padding: 50px;
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
  height: 100vh;
  padding: 0px 0px;
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
}

* {
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;

}

.box {
  background-color: rgba(255, 255, 255, 0.767);
  border-radius: 20px;
}

.layout {
  background: url(/public/images/layout.jpg);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  height: 100%;
  width: 100%;
  padding-top: 100px;
  padding-bottom: 100px;
}

.btn-disabled {
  cursor: not-allowed;
  pointer-events: none;
  background-color: #818181;
}


/* The sidenav */
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav a {
  display: block;
  transition: 0.3s;
}


.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

#main {
  transition: margin-left .5s;
  padding: 16px;
}

@media screen and (max-height: 450px) {
  .sidenav {
    padding-top: 15px;
  }

  .sidenav a {
    font-size: 18px;
  }
}

/* Loader */
.spinner {
  background-image: linear-gradient(rgb(186, 66, 255) 35%, rgb(0, 225, 255));
  width: 100px;
  height: 100px;
  animation: spinning82341 1.7s linear infinite;
  text-align: center;
  border-radius: 50%;
  filter: blur(1px);
  box-shadow: 0px -5px 20px 0px rgb(186, 66, 255), 0px 5px 20px 0px rgb(0, 225, 255);
}

.spinner1 {
  background-color: rgb(36, 36, 36);
  width: 100px;
  height: 100px;
  border-radius: 50%;
  filter: blur(10px);
}

@keyframes spinning82341 {
  to {
    transform: rotate(360deg);
  }
}

.dots::after {
  content: "";
  display: inline-block;
  animation: dot-blink 2s steps(2, end) infinite;
}

@keyframes dot-blink {
  0%, 20% {
    content: "";
  }
  40% {
    content: ".";
  }
  60% {
    content: "..";
  }
  80%, 100% {
    content: "...";
  }
}

body.no-scroll {
  overflow: hidden;
}

.hidden {
  opacity: 0;
  transform: scale(0.7);
  transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
}

.visible {
  opacity: 1;
  transform: scale(1);
  transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
}


/** Cards */
.text-content {
  max-height: 104px; /* Limite la hauteur à afficher */
  overflow: hidden; /* Cache le texte qui déborde */
  transition: max-height 0.3s ease; /* Ajoute une transition */
}

.ellipsis {
  display: none; /* Cache l'ellipse par défaut */
  top: -10;
  right: 0; /* À droite */
  background: white;
}

/* Agrandir uniquement la div survolée */
.flex:hover .text-content {
  max-height: 1000px; /* Augmente la hauteur pour révéler le texte uniquement de la div survolée */
}

.flex:hover .ellipsis {
  display: none; /* Cache l'ellipse lorsque la div est survolée */
}

.flex:not(:hover) .ellipsis {
  display: inline; /* Affiche l'ellipse lorsque la div n'est pas survolée */
}

/** Background **/
canvas{
  display: block; 
  vertical-align: bottom;
}

/* ---- particles.js container ---- */ 
#particles-js { 
  position:absolute;
  width: 100%;
  height: 100%;
  background-color: #9333E9;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 50% 50%;
}
